Bug 216046 - x11-toolkits/fltk: fails to build with clang 4.0 (47 ports skipped)
Summary: x11-toolkits/fltk: fails to build with clang 4.0 (47 ports skipped)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: needs-patch
Depends on:
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-01-14 03:07 UTC by Jan Beich
Modified: 2017-01-31 00:04 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-01-14 03:07:06 UTC
Fl_Tree_Item.cxx:552:38: error: ordered comparison between pointer and zero ('Fl_Tree_Item *' and 'int')
    if ( from_parent->deparent(from) < 0 )      // deparent self from current parent
         ~~~~~~~~~~~~~~~~~~~~~~~~~~~ ^ ~

build log: http://sprunge.us/REKD
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 commit-hook freebsd_committer 2017-01-17 16:48:49 UTC
A commit references this bug:

Author: jbeich
Date: Tue Jan 17 16:48:07 UTC 2017
New revision: 431752
URL: https://svnweb.freebsd.org/changeset/ports/431752

Log:
  x11-toolkits/fltk: unbreak with clang 4.0

  Fl_Tree_Item.cxx:552:38: error: ordered comparison between pointer and zero ('Fl_Tree_Item *' and 'int')
      if ( from_parent->deparent(from) < 0 )      // deparent self from current parent
           ~~~~~~~~~~~~~~~~~~~~~~~~~~~ ^ ~

  PR:		216046
  Obtained from:	upstream (branch-1.3)
  Approved by:	portmgr blanket
  MFH:		2017Q1 (changes behavior)

Changes:
  head/x11-toolkits/fltk/Makefile
  head/x11-toolkits/fltk/files/patch-src_Fl__Tree__Item.cxx
Comment 2 commit-hook freebsd_committer 2017-01-18 11:22:43 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jan 18 11:21:42 UTC 2017
New revision: 431784
URL: https://svnweb.freebsd.org/changeset/ports/431784

Log:
  x11-toolkits/fltk-devel: unbreak with clang 4.0

  src/Fl_Tree_Item.cxx:552:38: error: ordered comparison between pointer and zero ('Fl_Tree_Item *' and 'int')
      if ( from_parent->deparent(from) < 0 )      // deparent self from current parent
           ~~~~~~~~~~~~~~~~~~~~~~~~~~~ ^ ~

  PR:		216046
  Obtained from:	upstream (branch-1.3)
  Approved by:	portmgr blanket
  MFH:		2017Q1 (r431752 followup)

Changes:
  head/x11-toolkits/fltk-devel/Makefile
  head/x11-toolkits/fltk-devel/files/patch-src_Fl__Tree__Item.cxx
Comment 3 commit-hook freebsd_committer 2017-01-19 05:18:34 UTC
A commit references this bug:

Author: jbeich
Date: Thu Jan 19 05:18:25 UTC 2017
New revision: 431844
URL: https://svnweb.freebsd.org/changeset/ports/431844

Log:
  MFH: r431752 r431784

  x11-toolkits/fltk{,-devel}: unbreak with clang 4.0

  Fl_Tree_Item.cxx:552:38: error: ordered comparison between pointer and zero ('Fl_Tree_Item *' and 'int')
      if ( from_parent->deparent(from) < 0 )      // deparent self from current parent
           ~~~~~~~~~~~~~~~~~~~~~~~~~~~ ^ ~

  PR:		216046
  Obtained from:	upstream (branch-1.3)
  Approved by:	portmgr blanket
  Approved by:	ports-secteam (feld, junovitch)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/x11-toolkits/fltk/Makefile
  branches/2017Q1/x11-toolkits/fltk/files/patch-src_Fl__Tree__Item.cxx
  branches/2017Q1/x11-toolkits/fltk-devel/Makefile
  branches/2017Q1/x11-toolkits/fltk-devel/files/patch-src_Fl__Tree__Item.cxx